
# norootforbuild
%define pkg_name uploadprogress
%define pkg_version 1.0.3.1
%define php_version %(php-config --version 2>/dev/null)
#
Name: php5-uploadprogress
Version: 1.0.3.1
Release: 3.3
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
#only php 5.2 has the needed api features.
BuildRequires: php5-devel >= 5.2.0
Requires: php5 = %{php_version}
#
URL: http://pecl.php.net/uploadprogress
Source: http://pecl.php.net/package/uploadprogress/%{pkg_name}-%{version}.tgz
Summary: An extension to track progress of a file upload.

%description

 	An extension to track progress of a file upload.

Authors:
---------
	 	Christian Stocker <chregu@php.net> 

%debug_package
%prep
%setup -q -n %{pkg_name}-%{version}


%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure

%{__make} %{?jobs:-j%jobs}
popd

%install

%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d

echo "; comment out next line to disable uploadprogress extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/uploadprogress.ini

echo 'extension = uploadprogress.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/uploadprogress.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/uploadprogress.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/uploadprogress.ini

%doc examples

%changelog -n php5-uploadprogress
* Thu Aug 18 2011 Carsten Schoene <cs@linux-administrator.com> - 1.0.3.1-1
- new release 1.0.3.1
* Thu Aug 11 2011 Carsten Schoene <cs@linux-administrator.com> - 1.0.3-1
- new release 1.0.3
* Wed Aug 03 2011 Carsten Schoene <cs@linux-administrator.com> - 1.0.2-1
- new release 1.0.2
* Tue Jun 16 2009 Carsten Schoene <cs@linux-administrator.com>
- new release 1.0.1
* Sun Mar 15 2009 Carsten Schoene <cs@linux-administrator.com>
- new release 1.0.0
* Thu Jan 22 2009 Carsten Schoene <cs@linux-administrator.com>
- new release 0.9.2
* Mon Aug 25 2008 Carsten Schoene <cs@linux-administrator.com>
- new release 0.9.1
* Sun Jul 13 2008 Carsten Schoene <cs@linux-administrator.com>
- new release 0.9.0
* Thu Dec 05 2006 - judas_iscariote@shorewall.net
- very first build
